Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354639 - [DOCS] Configuring for OpenStack Instructions Fail in containerized installation
Summary: [DOCS] Configuring for OpenStack Instructions Fail in containerized installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Gan Huang
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 20:03 UTC by Steven Walter
Modified: 2016-08-02 13:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-02 13:16:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steven Walter 2016-07-11 20:03:53 UTC
Document URL: 

https://docs.openshift.com/enterprise/3.2/install_config/configuring_openstack.html


Section Number and Name: 
Configuring Masters, Configuring Nodes


Describe the issue: 
Configuration for the cloud requires creating a configuration file that contains information on cloud authentication, etc. In the directions, the example shows the file be created at "/etc/cloud.conf", which usually works; however, if you use Red Hat Enterprise Linux Atomic Host as the operating system that OpenShift runs on, the master and node services do not mount /etc/ due to the restrictions of Atomic Host.

Suggestions for improvement: 
Making the file in /etc/origin/cloud.conf instead will work. Either this can be the default example, or it can be listed like, "When running OpenShift on RHEL Atomic Host, cloud.conf should instead be in /etc/origin/", or something similar.

Additional information: 
May also be an issue on AWS, since that example says to save it in /etc/aws/aws.conf
https://docs.openshift.com/enterprise/3.2/install_config/configuring_aws.html

Comment 1 Ashley Hardin 2016-07-19 21:19:24 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/2521

Comment 2 Gan Huang 2016-07-22 07:51:05 UTC
Hi, Steven

I'm a little confused that /etc/ should be a writable directorie in Atomic Host.

From: https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-guide/#installing_rhel_atomic_host 
"""
There are only two writable directories for local system configuration: /etc/ and /var/. The /usr/ directory is mounted read-only. Other directories are symlinks to a writable location. For example, the /home/ directory is a symlink to the /var/home/ directory. 
"""

And I was able to create a file under /etc/ as well. What kind of errors did you meet?

Comment 3 Gan Huang 2016-07-22 07:58:29 UTC
Sorry, Steven. I got the root case. Ignore the message above.

Comment 4 Gan Huang 2016-07-22 08:34:19 UTC
Hello, Ashley

Looks like this issue is not because of the Atomic Host. Only the directories of /etc/origin and /var/lib/origin are mounted to the master and node container when triggering a containerized installation:

ExecStart=/usr/bin/docker run --rm --privileged --net=host --name atomic-openshift-master --env-file=/etc/sysconfig/atomic-openshift-master -v /var/lib/origin:/var/lib/origin -v /var/run/docker.sock:/var/run/docker.sock -v /etc/origin:/etc/origin openshift3/ose:${IMAGE_VERSION} start master --config=${CONFIG_FILE} $OPTIONS

So what you need to do is to make sure all the cloud configurations (including OpenStack, AWS and GCE) are under /etc/origin/.

Comment 5 Steven Walter 2016-07-22 13:57:48 UTC
Gan,

Yes I think you are right. I mistakenly attributed the only change to being Atomic without considering that it could be with the containerized install. Either way, it will definitely work if placed in /etc/origin/!

Comment 6 Ashley Hardin 2016-07-22 16:27:39 UTC
@Gan and Steven,
Thanks for clarifying! I made some edits. Please review:
https://github.com/openshift/openshift-docs/pull/2521
Thanks again!

Comment 7 Steven Walter 2016-07-22 18:27:34 UTC
Hey Ashley, only one thing of note in the GCE bit; master-config.yaml and node-config.yaml are saved, by default, in /etc/origin/master/master-config.yaml and /etc/origin/node/node-config.yaml. These are (usually) placed here automatically by the installation. Given that the user can also create them manually, it would probably be best to direct them toward the standard, which is for them to be in /etc/origin/master/master-config.yaml or /etc/origin/node/node-config.yaml (rather than in /etc/origin/master-config.yaml and /etc/origin/node-config.yaml). Let me know if that doesn't make sense; otherwise, looks great!

Comment 8 Ashley Hardin 2016-07-22 19:31:46 UTC
@Steven, Thanks for catching that! This is updated:
https://github.com/openshift/openshift-docs/pull/2521

Comment 9 Steven Walter 2016-07-22 19:52:43 UTC
@Ashley looks good!

Comment 10 Gan Huang 2016-07-25 02:08:12 UTC
Looks good to me, thanks.

Comment 11 openshift-github-bot 2016-07-25 11:12:29 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/1bf93cd19e7229d7f126b06a2a386c7ad0580b00
Bug 1354639, added advisory about file creation for cloud configurations

https://github.com/openshift/openshift-docs/commit/f40a51eeb31042eaa852eb3b047f0e3abfdb83b6
Merge pull request #2521 from ahardin-rh/cloud-conf

Bug 1354639, added advisories about file creation for cloud configurations


Note You need to log in before you can comment on or make changes to this bug.